## gnome-print-preview gnome-print-preview |

## Functions

GnomePrintContext * | gnome_print_preview_new ()
GnomePrintContext * | gnome_print_preview_new_full ()

## Properties

GnomeCanvasGroup * | group | Read / Write / Construct Only
gboolean | only-first | Read / Write
gboolean | theme-compliance | Read / Write
gboolean | use-theme | Read / Write

## Types and Values

| GnomePrintPreview
| GnomePrintPreviewClass

## Object Hierarchy

        GObject
        ╰── GnomePrintContext
            ╰── GnomePrintPreview

## Description

## Functions

### gnome_print_preview_new ()

    GnomePrintContext *
    gnome_print_preview_new (GnomePrintConfig *config,
                             GnomeCanvas *canvas);

Creates a new PrintPreview object that use the `canvas` GnomeCanvas as its rendering backend.

#### Parameters

canvas | Canvas on which we display the print preview |

#### Returns

A GnomePrintContext suitable for using with the GNOME print API.

### gnome_print_preview_new_full ()

    GnomePrintContext *
    gnome_print_preview_new_full (GnomePrintConfig *config,
                                  GnomeCanvas *canvas,
                                  const gdouble *transform,
                                  const ArtDRect *region);

## Types and Values

### GnomePrintPreview

    typedef struct _GnomePrintPreview GnomePrintPreview;

### GnomePrintPreviewClass

    typedef struct _GnomePrintPreviewClass GnomePrintPreviewClass;

## Property Details

### The `“group”` property

      “group”                    GnomeCanvasGroup *

Group.

Flags: Read / Write / Construct Only

### The `“only-first”` property

      “only-first”               gboolean

Show only first page.

Flags: Read / Write

Default value: FALSE

### The `“theme-compliance”` property

      “theme-compliance”         gboolean

Theme compliance.

Flags: Read / Write

Default value: TRUE

### The `“use-theme”` property

      “use-theme”                gboolean

Use theme.

Flags: Read / Write

Default value: FALSE